at.chipkarte.client.base.soap

## Class SvtProperty

- Object
- - at.chipkarte.client.base.soap.BaseProperty
  - - at.chipkarte.client.base.soap.SvtProperty

-     public class SvtProperty
      extends BaseProperty

  Enthält über `BaseProperty` hinausgehende Daten für einen Krankenversicherungsträger.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvtProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEKVKCode()` EKVK-Code des KVT.
    `String` | `getEKVKName()` EKVK-Name des KVT.
    `String` | `getKurzbezeichnung()` Kurzbezeichnung des Krankenversicherungsträgers.
    `Boolean` | `isASVG()` Kennzeichen, ob es sich um einen GKK/BKK-Träger handelt.
    `void` | `setASVG(Boolean asvg)`
    `void` | `setEKVKCode(String code)`
    `void` | `setEKVKName(String name)`
    `void` | `setKurzbezeichnung(String kurzbezeichnung)`

    - ### Methods inherited from class at.chipkarte.client.base.soap.BaseProperty

      `getCode, getText, isNurAnzeige, setCode, setNurAnzeige, setText`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvtProperty

          public SvtProperty()

  - ### Method Detail

    - #### getEKVKName

          public String getEKVKName()

      EKVK-Name des KVT.
      Format: maximal 15-stellig
      Returns:
        EKVK-Name

    - #### getEKVKCode

          public String getEKVKCode()

      EKVK-Code des KVT.
      Format: maximal 10-stellig
      Returns:
        EKVK-Code

    - #### getKurzbezeichnung

          public String getKurzbezeichnung()

      Kurzbezeichnung des Krankenversicherungsträgers.
      Format: maximal 15-stellig
      Returns:
        Kurzbezeichnung

    - #### setEKVKCode

          public void setEKVKCode(String code)

    - #### setEKVKName

          public void setEKVKName(String name)

    - #### setKurzbezeichnung

          public void setKurzbezeichnung(String kurzbezeichnung)

    - #### isASVG

          public Boolean isASVG()

      Kennzeichen, ob es sich um einen GKK/BKK-Träger handelt.
      Returns:
        Kennzeichen für GKK/BKK

    - #### setASVG

          public void setASVG(Boolean asvg)